org.apache.maven

## Class ReflectionConfigurationInterpolator

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.project.interpolation.AbstractStringBasedModelInterpolator
    - - org.apache.maven.project.interpolation.StringSearchModelInterpolator
      - - org.apache.maven.ReflectionConfigurationInterpolator

- All Implemented Interfaces:
    ConfigurationInterpolator, ModelInterpolator

      public class ReflectionConfigurationInterpolator
      extends StringSearchModelInterpolator
      implements ConfigurationInterpolator

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.ConfigurationInterpolator

      `ROLE`

    - ### Fields inherited from interface org.apache.maven.project.interpolation.ModelInterpolator

      `BUILD_TIMESTAMP_FORMAT_PROPERTY, DEFAULT_BUILD_TIMESTAMP_FORMAT, ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionConfigurationInterpolator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `interpolate(java.lang.Object configObject, MavenProject project, ProjectBuilderConfiguration config)`

    - ### Methods inherited from class org.apache.maven.project.interpolation.StringSearchModelInterpolator

      `createInterpolator, interpolate, interpolateObject`

    - ### Methods inherited from class org.apache.maven.project.interpolation.AbstractStringBasedModelInterpolator

      `createPostProcessors, createValueSources, getInterpolator, getRecursionInterceptor, initialize, interpolate, interpolate, interpolate, interpolateInternal, setRecursionInterceptor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectionConfigurationInterpolator

          public ReflectionConfigurationInterpolator()

  - ### Method Detail

    - #### interpolate

          public java.lang.Object interpolate(java.lang.Object configObject,
                                     MavenProject project,
                                     ProjectBuilderConfiguration config)
                                       throws ConfigurationInterpolationException

      Specified by:
        `interpolate` in interface `ConfigurationInterpolator`
      Throws:
        `ConfigurationInterpolationException`